#
# spec file for package gok (Version 2.28.1)
#
# Copyright (c) 2010 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#



Name:           gok
Version:        2.28.1
Release:        0.1.1
License:        LGPLv2.1+
Summary:        GNOME On-Screen Keyboard
Url:            http://www.gok.ca/
Group:          System/GUI/GNOME
Source:         %{name}-%{version}.tar.bz2
# PATCH-MISSING-TAG -- See http://en.opensuse.org/Packaging/Patches
Patch0:         %{name}-desktop.patch
# PATCH-FIX-UPSTREAM gok-build-fix.patch bgo589120 vuntz@novell.com -- Remove gnome-common BuildRequires when not needed anymore
Patch1:         gok-build-fix.patch
BuildRequires:  at-spi-devel
BuildRequires:  atk-devel
BuildRequires:  dbus-1-glib-devel
BuildRequires:  fdupes
BuildRequires:  gconf2-devel
BuildRequires:  gnome-speech-devel
BuildRequires:  gtk2-devel
BuildRequires:  intltool
BuildRequires:  libbonobo-devel
BuildRequires:  libcanberra-devel
BuildRequires:  libglade2-devel
BuildRequires:  libwnck-devel
BuildRequires:  scrollkeeper
BuildRequires:  update-desktop-files
# Needed for gok-build-fix.patch
BuildRequires:  gnome-common
Requires:       %{name}-lang = %{version}
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%gconf_schemas_prereq

%description
The GNOME On-screen Keyboard (GOK) is a dynamic on-screen keyboard for
UNIX and UNIX-like operating systems. It features direct selection,
dwell selection, automatic scanning, and inverse scanning access
methods and includes word completion.

%package devel
License:        LGPLv2.1+
Summary:        GNOME On-Screen Keyboard
Group:          System/GUI/GNOME
Requires:       %{name} = %{version}
Requires:       at-spi-devel
Requires:       atk-devel
Requires:       gtk2-devel
Requires:       libbonobo-devel
Requires:       libgnomeui-devel
Requires:       libwnck-devel
Provides:       gok-doc = %{version}
Obsoletes:      gok-doc <= %{version}

%description devel
The GNOME On-screen Keyboard (GOK) is a dynamic on-screen keyboard for
UNIX and UNIX-like operating systems. It features direct selection,
dwell selection, automatic scanning, and inverse scanning access
methods and includes word completion.

%lang_package
%prep
%setup -q
%patch0
%patch1 -p1

%build
NOCONFIGURE=1 gnome-autogen.sh
%configure\
	--disable-schemas-install
make %{?jobs:-j%jobs}

%install
%makeinstall
# FIXME: --disable-scrollkeeper is not implemented in gok-1.2.0
rm -r %{buildroot}%{_localstatedir}/scrollkeeper
%suse_update_desktop_file -G "Virtual Keyboard" gok
%find_lang %{name}
%find_gconf_schemas
cat %{name}.schemas_list >%{name}.lst
%fdupes %{buildroot}

%clean
rm -rf %{buildroot}

%pre -f %{name}.schemas_pre

%posttrans -f %{name}.schemas_posttrans

%preun -f %{name}.schemas_preun

%files -f %{name}.lst
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog NEWS README
%defattr (-, root, root)
%{_bindir}/*
%{_datadir}/gok
%{_datadir}/applications/*.desktop
%{_datadir}/icons/hicolor/*/apps/gok.png
%{_datadir}/pixmaps/*.png
%{_datadir}/sounds/freedesktop/stereo/*.wav
%{_libdir}/bonobo/servers/GNOME_Gok.server

%files lang -f %{name}.lang

%files devel
%defattr (-, root, root)
%{_libdir}/pkgconfig/*.pc
# Own these repositories to not depend on gtk-doc while building:
%dir %{_datadir}/gtk-doc
%dir %{_datadir}/gtk-doc/html
%{_datadir}/gtk-doc/html/gok

%changelog
* Thu Dec 17 2009 dimstar@opensuse.org
- Update to version 2.28.1:
  + bgo#595469 - Fix crash when removing gconf keys
  + bgo#588196 - Check for libusb preprocessor macros with #if
    defined
  + bgo#514007 - Remove executable permission from l10n.txt and
    legal.xml
  + Updated translations.
* Tue Sep 22 2009 dimstar@opensuse.org
- Update to version 2.28.0:
  + Updated translations.
* Wed Sep  9 2009 vuntz@opensuse.org
- Update to version 2.27.92:
  + bgo#581968 - Add translator comment for "Key Feedback"
  + Updated translations.
* Tue Aug 25 2009 vuntz@novell.com
- Update to version 2.27.91:
  + bgo#592692 - Remove deprecated Encoding key from desktop file
  + bgo#591506 - Add string.h include for strcmp()
  + Updated translations.
- Drop gok-implicit-decl.patch: fixed upstream.
- Update gok-desktop.patch to not remove categories that should not
  be removed.
- Use spec-cleaner to reorder lines in preamble.
* Tue Aug 11 2009 vuntz@novell.com
- Update to version 2.27.90:
  + Misc. updates / fixes:
  - Minor update to API reference templates
  - Disable gtk engines in gok.rc (bgo#585633)
  - Substitute $sounddir in gconf schema file
  - Enable libusb-input during make distcheck
  + Bug fixes:
  - bgo#589117 - Remove libgnome and libgnomeui dependency
  - bgo#589967 - Build failure caused by missing header
  + Updated translations.
- Drop libgnomeui-devel BuildRequires.
- Add dbus-1-glib-devel BuildRequires.
- Add gok-implicit-decl.patch to fix build.
* Tue Jul 28 2009 lmedinas@gmail.com
- Update to version 2.27.5:
  + bgo#588877 - Cleanup <gnome.h> includes
  + bgo#588458 - GOK fails to build with libusb enabled
  + Updated translations.
* Mon Jul 20 2009 vuntz@novell.com
- Update to version 2.27.4:
  + bgo#585633 - Enable gtk engines
  + bgo#584612 - Use gtk_show_uri instead of gnome_help
  + Updated translations.
* Mon Jun 15 2009 vuntz@novell.com
- Update to version 2.27.3:
  + bgo#584002 - Add missing return value
  + bgo#584004 - Remove esound from pkg-config file
  + Updated translations.
* Wed May 27 2009 vuntz@novell.com
- Update to version 2.27.2:
  + bgo#581492 - Remove esound check from configure
  + bgo#583313 - Don't show widgets in non-active tabs
  + Updated translations.
- Remove libesd-devel Requires from devel package.
* Tue May  5 2009 vuntz@novell.com
- Update to version 2.27.1:
  + bgo#570723 - Replace deprecated gnome_i18n_get_language_list
  + bgo#572913 - Migrate to libcanberra
  + bgo#572686 - Remove deprecated GTK+ symbols
  + Updated translations.
* Mon Mar 16 2009 mboman@suse.de
- Update to version 2.26.0:
  + Translation updates
- Merge -doc into -devel since it only contains gtk-doc
- Remove gail-devel from Requires in -devel package
- Remove Provides: gok-devel from main package
- Use make %%{?jobs:-j%%jobs} instead of just make
- Don't package omf files in the main package (they get packaged
  automatically in -lang due to bnc#449846)
* Tue Feb 17 2009 mboman@suse.de
- Update to version 2.25.91:
  + bgo#435973 - Migrate to GtkAboutDialog
  + bgo#560441 - Remove deprecated GLib symbols
  + bgo#567105 - Fix empty msgid's
  + bgo#570756 - Disable XEvIE by default (Li Yuan)
  + Translation updates
- Remove docbook-dsssl-stylesheets, gail-devel, gnutls-devel,
  libgnomeprintui-devel, perl-XML-Parser from BuildRequires
- Add atk-devel, gtk2-devel, libbonobo-devel, gconf2-devel to
  BuildRequires
* Tue Feb  3 2009 mboman@suse.de
- Update to version 2.25.90:
  + Fix bgo#536277
  + New '--disable-autobranch' command-line option
- Update gok-desktop.patch
* Mon Feb  2 2009 mboman@suse.de
- Update to version 2.25.3:
  + Migration to msgctxt (bgo#567105)
  + Translation updates
* Fri Jan 23 2009 vuntz@novell.com
- Update gok-desktop.patch to not set the GenericName (it's set via
  %%suse_update_desktop_file)
- Drop gok.patch: it's not needed for the build anymore.
* Sun Dec 14 2008 mboman@suse.de
- Update to version 2.25.2:
  + Bugs fixed: bgo#561871, bgo#552874, bgo#553676, bgo#553672
* Fri Oct  3 2008 mboman@suse.de
- Update to version 2.24.0:
  + Cosmetic version bump
* Sat Aug 30 2008 mboman@novell.com
- Update to versin 2.23.91:
  + Bugs fixed: bgo#548859, bgo##546559, bgo#513955.
  + Translation updates.
- Removed gok-include.patch. Not needed.
* Mon Aug 11 2008 maw@suse.de
- Update to versin 1.4.0:
  + Now use the core pointer (regular mouse system) by default
  + Lots of improvements
  + Various bug fixes
  + Updated translations
- Drop gok-g_strnconcat-NULL.diff, as it is no longer necessary.
* Fri Feb  1 2008 maw@suse.de
- Update to version 1.3.7:
  + Bugs fixed: bnc#486346, bnc#482796, bnc#481681, and #bnc481099
  + Minor code cleanups.
* Thu Oct 11 2007 sbrabec@suse.cz
- Removed bogus dependency on mDNSResponder.
* Wed Sep 19 2007 sbrabec@suse.cz
- Updated to version 1.3.4:
  * gok_keyboard_branch_byKey: check for null accessible, and null
    state
  * work toward fixing crasher bug in gok-spy
* Fri Aug 31 2007 maw@suse.de
- Update to version 1.3.2:
  + Bugs (bugzilla.gnome.org) fixed: #413414, #316851, and
    partially #457560
  + Updated translations.
* Tue Aug  7 2007 maw@suse.de
- Split off a -lang subpackage.
* Thu Aug  2 2007 maw@suse.de
- Update to version 1.3.1
  + Now works with Mozilla Firefox 3
  + Updated translations
- Use %%fdupes.
* Tue Jul 10 2007 maw@suse.de
- Update to version 1.2.5
- Numerous translations and minor bug fixes.
* Mon May 14 2007 coolo@suse.de
- fix desktop file
* Fri Apr 27 2007 sbrabec@suse.cz
- Do not call meinproc (#227624).
* Mon Apr 16 2007 maw@suse.de
- Create a -devel subpackage (#262572).
* Mon Apr  9 2007 maw@suse.de
- Update to version 1.2.3
- b.g.o 412825 and 323648.
* Fri Mar  9 2007 maw@suse.de
- Update to version 1.2.1.
  * libusb support! (see README.libusb) Thanks Ben Konrath!
  * Ubuntu crasher fixed! Thanks Bill!
  * Bugfixes include: 334273. 350356, 394511, 395040, 159027
* Tue Jan 16 2007 sbrabec@suse.cz
- Prefix changed to /usr.
- Spec file cleanup.
* Fri Oct 13 2006 danw@suse.de
- Remove dead patches
* Thu Sep 14 2006 jhargadon@suse.de
- update to version 1.2.0
- Returned to the use of new GOption style of command line argument
- Mainly bugfixes dealing with stability including:
    350356, 351694, and 351993
- translation updates
* Tue Aug 15 2006 jhargadon@suse.de
- update to version 1.1.1
- new GOption style command line arguments
- Removed illegal memory access, should improve stability.
- Fix for #330469: add program argument to include nameless gui
    elements as gok keys
- Fix for #330970: fix critical warning
- Fix for #168371: memory usage cleanup
- Enhanced EWMH behavior - GOK registers itself as a pager now.
- Respond to more children-changed
- Fix for #301377, we can now handle actionable table cells even if
    they don't have unique names.
* Tue Feb 28 2006 sbrabec@suse.cz
- Use kdelibs3-doc in BuildRequires for meinproc (#153635#c14).
* Sat Feb 18 2006 sreeves@suse.de
- Update .desktop file (Name, GenericName, Comment, DocPath)
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Fri Dec 23 2005 gekker@suse.de
- Add OnlyShowIn=GNOME to .desktop file (#81817)
* Wed Dec 21 2005 jpr@suse.de
- Fix realloc assignment
* Wed Nov  2 2005 dmueller@suse.de
- don't build as root
* Wed Sep 21 2005 sbrabec@suse.cz
- Fixed missing include.
* Mon Jun 20 2005 gekker@suse.de
- Update to version 1.0.5
* Wed Apr  6 2005 mmj@suse.de
- Fix g_strnconcat calls
* Wed Mar  9 2005 gekker@suse.de
- Update to version 1.0.2 (GNOME 2.10).
* Mon Mar  7 2005 ro@suse.de
- fix build on lib64
* Thu Mar  3 2005 gekker@suse.de
- Update to version 1.0.1
* Fri Feb 11 2005 gekker@suse.de
- Update to 0.12.3
* Sun Feb  6 2005 gekker@suse.de
- Update to version 0.12.1
- Fix the file list
* Fri Jan 14 2005 clahey@suse.de
- Updated to version 0.12.0.
* Tue Dec 14 2004 hvogel@suse.de
- fix desktop file
* Tue Nov  2 2004 ro@suse.de
- locale rename: no -> nb
* Fri Aug 27 2004 clahey@suse.de
- Cache gok help and show gok in khelpcenter.
* Mon May 10 2004 sbrabec@suse.cz
- Updated to version 0.10.2 (GNOME 2.6).
* Wed Mar 10 2004 sbrabec@suse.cz
- Fixed gconf schemas installation (#33114).
* Tue Feb 24 2004 ro@suse.de
- fix docu build
* Thu Feb 12 2004 hhetter@suse.de
- gconf schema (de-)installation in %%post and %%postun
* Mon Feb  9 2004 hhetter@suse.de
- updated to version 0.8.4 [GNOME2.4.2]
* Thu Feb  5 2004 ro@suse.de
- fix configure for lib64
* Fri Oct 10 2003 sbrabec@suse.cz
- Added new SuSE package, version 0.8.3 (GNOME 2.4).
